/**
 * 数据查询接口
 */
import request from '@/utils/request'
// import qs from 'qs'

// 统计各部门进出记录
export function getStatisticByDept(params) {
  return request({
    url: 'records/statisticByDept',
    method: 'get',
    params
  })
}
// 根据部门和人统计进出记录
export function getStatisticByPerson(params) {
  return request({
    url: 'records/statisticByPerson',
    method: 'get',
    params
  })
}

export function peopleCountByDevice(params) {
  return request({
    url: 'statistic/peopleCountByDevice',
    method: 'get',
    params
  })
}

export function recordCountByDevice(params) {
  return request({
    url: 'statistic/recordCountByDevice',
    method: 'get',
    params
  })
}

export function recordCountByArea(params) {
  return request({
    url: 'statistic/recordCountByArea',
    method: 'get',
    params
  })
}

export function peopleCountByDept(params) {
  return request({
    url: 'statistic/peopleCountByDept',
    method: 'get',
    params
  })
}

export function peopleCountByParentDept(params) {
  return request({
    url: 'statistic/peopleCountByParentDept',
    method: 'get',
    params
  })
}

export function printCountByDept(params) {
  return request({
    url: 'statistic/printCountByDept',
    method: 'get',
    params
  })
}

export function canteenCountByDept(params) {
  return request({
    url: 'statistic/canteenCountByDept',
    method: 'get',
    params
  })
}

export function countbyTime(params) {
  return request({
    url: 'statistic/countbyTime',
    method: 'get',
    params
  })
}

export function countbyDay(params) {
  return request({
    url: 'statistic/countbyDay',
    method: 'get',
    params
  })
}

export function countbyLocation(params) {
  return request({
    url: 'statistic/countbyLocation',
    method: 'get',
    params
  })
}

